/*
 * Copyright (C) 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    id: quitDialog

    property real openedOpacity: 0.9

    width: units.gu(40)
    height: units.gu(71)
    color: "black"
    opacity: 0
    visible: opacity != 0

    Behavior on opacity {NumberAnimation {duration: 150}}

    function hide() {
        quitDialog.opacity = 0;
    }

    function show () {
        quitDialog.opacity = openedOpacity
    }

    // eater
    MouseArea {
        visible: quitDialog.opacity > 0
        anchors.fill: parent
    }

    Column {
        anchors.centerIn: parent
        spacing: units.gu(3)
        Rectangle {
            color: "transparent"
            width: quitText.width + units.gu(1)
            height: units.gu(4)
            border.color: "white"
            border.width: units.dp(1)
            radius: units.gu(1)
            anchors.horizontalCenter: parent.horizontalCenter
            Label {
                id: quitText
                text: "Quit ?"
                color: "white"
                anchors.centerIn: parent
                fontSize: "medium"
            }
            MouseArea {
                enabled: quitDialog.opacity > openedOpacity / 2
                anchors.fill: parent
                anchors.margins: -units.gu(1)
                onClicked: {
                    Qt.quit()
                }
            }
        }
        Rectangle {
            color: "transparent"
            width: cancelText.width + units.gu(1)
            height: units.gu(4)
            border.color: "white"
            border.width: units.dp(1)
            radius: units.gu(1)
            anchors.horizontalCenter: parent.horizontalCenter
            Label {
                id: cancelText
                text: "Cancel ?"
                color: "white"
                anchors.centerIn: parent
                fontSize: "medium"
            }
            MouseArea {
                enabled: quitDialog.opacity > openedOpacity / 2
                anchors.fill: parent
                anchors.margins: -units.gu(1)
                onClicked: {
                    quitDialog.hide();
                }
            }
        }
    }
}
