/*
 * Copyright (C) 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import Unity 0.1
import Utils 0.1
import "../Components"

Showable {
    id: notifications

    anchors.fill: parent

    UbuntuShape {
        id: icon_summary_body
        color: "black"
        opacity: 0.85
        radius: "small"
        x: units.gu (1)
        y: units.gu (1)
        width: units.gu (38)
        height: units.gu (9)
        Behavior on opacity {NumberAnimation{}}

        //MouseArea {
        //    anchors.fill: parent
        //    visible: true
        //    hoverEnabled: true
        //    onEntered:{
        //        icon_summary_body.opacity = 0.15;
        //    }
        //    onExited: {
        //        icon_summary_body.opacity = 0.85;
        //    }
        //}

        UbuntuShape {
            radius: "small"
            x: units.gu (1)
            y: units.gu (1)
            width: units.gu (6)
            height: units.gu (6)
            image: Image { source: "graphics/avatar1.jpg"}
        }
        Label {
            id: summary
            text: "Some title"
            x: units.gu (8)
            y: units.gu (1)
            width: units.gu (29)
            font.family: "Ubuntu Medium"
            font.pointSize: 20
            font.bold: true
            color: "#f3f3e7"
            wrapMode: Text.WordWrap
            smooth: true
        }
        Label {
            id: body
            text: "This is a plain and simple sample text. Here comes even more text."
            x: units.gu (8)
            y: units.gu (3)
            width: units.gu (29)
            font.family: "Ubuntu Medium"
            font.pointSize: 16
            font.bold: false
            color: "#f3f3e7"
            wrapMode: Text.WordWrap
            smooth: true
        }
    }

    UbuntuShape {
        id: icon_summary_body_secondary_icon
        color: "black"
        opacity: 0.85
        radius: "small"
        x: units.gu (1)
        y: units.gu (11)
        width: units.gu (38)
        height: units.gu (13)
        Behavior on opacity {NumberAnimation{}}

        //MouseArea {
        //    anchors.fill: parent
        //    visible: true
        //    hoverEnabled: true
        //    onEntered:{
        //        icon_summary_body_secondary_icon.opacity = 0.15;
        //    }
        //    onExited: {
        //        icon_summary_body_secondary_icon.opacity = 0.85;
        //    }
        //}

        UbuntuShape {
            radius: "small"
            x: units.gu (1)
            y: units.gu (1)
            width: units.gu (6)
            height: units.gu (6)
            image: Image { source: "graphics/avatar2.jpg"}
        }

        Image {
            x: units.gu (8)
            y: units.gu (1)
            width: units.gu (2)
            height: units.gu (2)
            source: "graphics/facebook@18.png"
        }
        Label {
            text: "Another summary"
            x: units.gu (11)
            y: units.gu (1)
            width: units.gu (26)
            font.family: "Ubuntu Medium"
            font.pointSize: 20
            font.bold: true
            color: "#f3f3e7"
            wrapMode: Text.WordWrap
            smooth: true
        }
        Label {
            text: "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt."
            x: units.gu (11)
            y: units.gu (3)
            width: units.gu (26)
            font.family: "Ubuntu Medium"
            font.pointSize: 16
            font.bold: false
            color: "#f3f3e7"
            wrapMode: Text.WordWrap
            smooth: true
        }
    }

    UbuntuShape {
        id: icon_summary
        color: "black"
        opacity: 0.85
        radius: "small"
        x: units.gu (1)
        y: units.gu (25)
        width: units.gu (38)
        height: units.gu (4)
        Behavior on opacity {NumberAnimation{}}

        //MouseArea {
        //    anchors.fill: parent
        //    visible: true
        //    hoverEnabled: true
        //    onEntered:{
        //        icon_summary.opacity = 0.15;
        //    }
        //    onExited: {
        //        icon_summary.opacity = 0.85;
        //    }
        //}

        Image {
            x: units.gu (1)
            y: units.gu (1)
            width: units.gu (2)
            height: units.gu (2)
            source: "graphics/facebook@18.png"
        }
        Label {
            text: "Image upload completed"
            x: units.gu (4)
            y: units.gu (1)
            width: units.gu (34)
            font.family: "Ubuntu Medium"
            font.pointSize: 20
            font.bold: true
            color: "#f3f3e7"
            wrapMode: Text.WordWrap
            smooth: true
        }
    }

    UbuntuShape {
        id: snap_decision_secondary_icon
        color: "black"
        opacity: 0.85
        radius: "small"
        x: units.gu (1)
        y: units.gu (30)
        width: units.gu (38)
        height: units.gu (13)

        UbuntuShape {
            radius: "small"
            x: units.gu (1)
            y: units.gu (1)
            width: units.gu (6)
            height: units.gu (6)
            image: Image { source: "graphics/avatar1.jpg"}
        }

        Image {
            x: units.gu (8)
            y: units.gu (1)
            width: units.gu (2)
            height: units.gu (2)
            source: "graphics/icon_phone.png"
        }
        Label {
            text: "Tom Ato"
            x: units.gu (11)
            y: units.gu (1)
            width: units.gu (26)
            font.family: "Ubuntu Medium"
            font.pointSize: 20
            font.bold: true
            color: "#f3f3e7"
            wrapMode: Text.WordWrap
            smooth: true
        }
        Label {
            text: "+555-123-456 Calling"
            x: units.gu (11)
            y: units.gu (3)
            width: units.gu (26)
            font.family: "Ubuntu Medium"
            font.pointSize: 16
            font.bold: false
            color: "#f3f3e7"
            wrapMode: Text.WordWrap
            smooth: true
        }
        Button {
            text: "Cancel"
            x: units.gu (1)
            y: units.gu (8)
            width: units.gu (17.5)
            height: units.gu (4)
        }
        Button {
            text: "Answer"
            color: "#d85317"
            x: units.gu (19.5)
            y: units.gu (8)
            width: units.gu (17.5)
            height: units.gu (4)
        }
    }
}
